package cz.muni.fi.pa165.books.validation;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * Class-level validation annotation for Books.
 * See http://docs.jboss.org/hibernate/stable/validator/reference/en-US/html_single/#section-class-level-constraints
 *
 * @author Martin Kuba makub@ics.muni.cz
 */
@Target({ElementType.TYPE, ElementType.ANNOTATION_TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = {BookConstraintValidator.class})
@Documented
public @interface BookConstraint {

    String message() default "{cz.muni.fi.pa165.books.validation.BookConstraint}";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
