package cz.muni.fi.pa165.books.validation;

import cz.muni.fi.pa165.books.Book;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

/**
 * JSR-303 "Java Bean validation" validator for @BookConstraint annotation.
 *
 * @see BookConstraint
 * @author Martin Kuba makub@ics.muni.cz
 */
public class BookConstraintValidator implements ConstraintValidator<BookConstraint, Book> {

    @Override
    public void initialize(BookConstraint constraintAnnotation) {

    }

    @Override
    public boolean isValid(Book book, ConstraintValidatorContext ctx) {
        //here is the actual validation check
        boolean isValid = !(book.getColor() == Book.Color.BLUE && book.getPrice() < 100);

        //map the error to the price property
        if ( !isValid ) {
            ctx.disableDefaultConstraintViolation();
            ctx.buildConstraintViolationWithTemplate("{cz.muni.fi.pa165.books.validation.BookConstraint}")
                    .addPropertyNode("price").addConstraintViolation();
        }
        return isValid;
    }
}
