package cz.muni.fi.pa165.books.jpa;

import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.transaction.Transactional;
import java.util.List;

@Repository("bookDAO")
@Transactional
public class BookDAOImpl implements BookDAO {

    @PersistenceContext
    private EntityManager em;
    
    public BookDAOImpl() {

    }

	@Override
	public void createBook(BookEntity book) {
		em.persist(book);
	}

	@Override
	public BookEntity getBookById(int id) {
		return em.find(BookEntity.class, id);
	}

	@Override
	public List<BookEntity> getAllBooks() {
		return em.createQuery("SELECT b FROM Book b",BookEntity.class).getResultList();
	}

	@Override
	public void updateBook(BookEntity book) {
		em.merge(book);
	}

	@Override
	public void deleteBook(BookEntity book) {
		em.remove(em.contains(book)?book:em.merge(book));
	}

}
