package cz.muni.fi.pa165.books.jpa;

import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.transaction.Transactional;
import java.util.List;

@Repository("customerDAO")
@Transactional
public class CustomerDAOImpl implements CustomerDAO {

    @PersistenceContext
    private EntityManager em;

    public CustomerDAOImpl() {
    }

    @Override
    public void createCustomer(CustomerEntity customer) {
        em.persist(customer);
    }

    @Override
    public CustomerEntity getCustomer(Long id) {
        return em.find(CustomerEntity.class, id);
    }


    @Override
    public List<CustomerEntity> getAllCustomers() {
        return em.createQuery("SELECT c FROM Customer c", CustomerEntity.class).getResultList();
    }

    @Override
    public void updateCustomer(CustomerEntity customer) {
        em.merge(customer);
    }

    @Override
    public void deleteCustomer(CustomerEntity customer) {
        em.remove(em.contains(customer) ? customer : em.merge(customer));
    }
}
