package cz.muni.fi.pa165.books.validation;

import cz.muni.fi.pa165.books.Book;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

/**
 * The place for validation checks. Useful for checks involving multiple properties at once.
 * This SpringMVC validation is additional to JSR-303 validation.
 *
 * @author Martin Kuba makub@ics.muni.cz
 */
public class BookSpringValidator implements Validator {

    @Override
    public boolean supports(Class<?> clazz) {
        return Book.class.isAssignableFrom(clazz);
    }

    @Override
    public void validate(Object target, Errors errors) {
        Book book = (Book) target;
        if (book.isPaperback() && book.getPrice() > 100) {
            errors.rejectValue("price", "expensive.paperback");
        }
    }
}
