<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
    <table>
        <tr>
            <th><form:label path="author"><fmt:message key="book.author"/></form:label></th>
            <td><form:input path="author"/></td>
            <td><form:errors path="author" cssClass="error"/></td>
        </tr>
        <tr>
            <th><form:label path="title"><fmt:message key="book.title"/></form:label></th>
            <td><form:input path="title"/></td>
            <td><form:errors path="title" cssClass="error"/></td>
        </tr>
        <tr>
            <th><form:label path="paperback"><fmt:message key="book.paperback"/></form:label></th>
            <td><form:checkbox path="paperback"/></td>
            <td><form:errors path="paperback" cssClass="error"/></td>
        </tr>
        <tr>
            <th><form:label path="color"><fmt:message key="book.color"/></form:label></th>
            <td><form:select path="color">
                <c:forEach items="${colors}" var="c">
                    <form:option value="${c}"><fmt:message key="Book.Color.${c}"/></form:option>
                </c:forEach>
            </form:select>
            </td>
            <td><form:errors path="color" cssClass="error"/></td>
        </tr>
        <tr>
            <th><form:label path="price"><fmt:message key="book.price"/></form:label></th>
            <td><form:input path="price"/></td>
            <td><form:errors path="price" cssClass="error"/></td>
        </tr>
    </table>
