<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="true" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<fmt:message var="title" key="book.list.title"/>
<my:layout title="${title}">
 <jsp:attribute name="body">

        <p><fmt:message key="book.list.allbooks"/></p>

        <table class="basic">
            <tr>
                <th>id</th>
                <th><fmt:message key="book.author"/></th>
                <th><fmt:message key="book.title"/></th>
                <th><fmt:message key="book.paperback"/></th>
                <th><fmt:message key="book.color"/></th>
                <th><fmt:message key="book.price"/></th>
                <th></th>
                <th></th>
            </tr>
            <c:forEach items="${books}" var="book">
                <tr>
                    <td>${book.id}</td>
                    <td><c:out value="${book.author}"/></td>
                    <td><c:out value="${book.title}"/></td>
                    <td><fmt:message key="book.paperback.${book.paperback}"/></td>
                    <td><fmt:message key="Book.Color.${book.color}"/></td>
                    <td><c:out value="${book.price}"/></td>
                    <td>
                        <form method="get" action="${pageContext.request.contextPath}/book/update/${book.id}">
                            <input type="submit" value="<fmt:message key='book.list.edit'/>">
                        </form>
                    </td>
                    <td>
                        <form method="post" action="${pageContext.request.contextPath}/book/delete/${book.id}">
                            <input type="submit" value="<fmt:message key='book.list.delete'/>">
                        </form>
                    </td>

                </tr>
            </c:forEach>
        </table>

<form:form method="post" action="${pageContext.request.contextPath}/book/update" modelAttribute="book">
    <fieldset><legend><fmt:message key="book.list.newbook"/></legend>
    <%@include file="form.jsp"%>
    <input type="submit" value="<fmt:message key='book.list.createBook'/>">
    </fieldset>
</form:form>
</jsp:attribute>
</my:layout>